From 208aa8170bede4c176b5e3afa6811d1d7a5a330c Mon Sep 17 00:00:00 2001
From: nosami <jasonimison@gmail.com>
Date: Tue, 11 Apr 2017 12:10:04 +0100
Subject: [PATCH] Fix mono/gac location

---
 src/fsharp/targets.make | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

diff --git a/src/fsharp/targets.make b/src/fsharp/targets.make
index 014294a..716adb7 100644
--- a/src/fsharp/targets.make
+++ b/src/fsharp/targets.make
@@ -157,9 +157,9 @@ install-gac-lib:
 				echo "Using gacutil to install $(outdir)$(ASSEMBLY) into GAC root $(DESTDIR)$(libdir) as package $(TARGET)"; \
 				$(monobindir)/gacutil -i $(outdir)$(ASSEMBLY) -root $(DESTDIR)$(libdir) -package $(TARGET); \
 			else \
-				echo "Installing $(outdir)$(NAME).dll to $(DESTDIR)$(gacdir)/gac/$(NAME)/$(VERSION)__$(TOKEN)/"; \
-				mkdir -p $(DESTDIR)$(gacdir)/gac/$(NAME)/$(VERSION)__$(TOKEN)/; \
-				$(INSTALL_LIB) $(outdir)$(NAME).dll $(DESTDIR)$(gacdir)/gac/$(NAME)/$(VERSION)__$(TOKEN)/; \
+				echo "Installing $(outdir)$(NAME).dll to $(DESTDIR)$(monodir)/gac/$(NAME)/$(VERSION)__$(TOKEN)/"; \
+				mkdir -p $(DESTDIR)$(monodir)/gac/$(NAME)/$(VERSION)__$(TOKEN)/; \
+				$(INSTALL_LIB) $(outdir)$(NAME).dll $(DESTDIR)$(monodir)/gac/$(NAME)/$(VERSION)__$(TOKEN)/; \
 			fi; \
 	fi
 
-- 
2.8.0

